Ortho Toggle

Discussion in 'AutoCAD' started by Tom C., Jun 7, 2004.

  1. Tom C.

    Tom C. Guest

    How can I add the Ortho toggle (on/off) command to a single toolbar button?
    What is the command line?

    I already know that F8 works, as well as the button at the bottom of the
    screen.
    But a button in my floating toolbar would be better.

    Thanks-
     
    Tom C., Jun 7, 2004
    #1
    1. Advertising

  2. Tom C.

    BillZ Guest

    (setvar "orthomode" 1) = on


    Bill
     
    BillZ, Jun 7, 2004
    #2
    1. Advertising

  3. Tom C.

    Jürg Menzi Guest

    Hi Tom

    ^p(progn(setvar"ORTHOMODE"(boole 6(getvar"ORTHOMODE")1))(princ))

    Cheers
    --
    Juerg Menzi
    MENZI ENGINEERING GmbH, Switzerland
    http://www.menziengineering.ch
     
    Jürg Menzi, Jun 7, 2004
    #3
  4. Tom C.

    ECCAD Guest

    [Button name]^O

    Bob
     
    ECCAD, Jun 7, 2004
    #4
  5. Tom C.

    Paul Turvill Guest

    (setvar "orthomode" (- 1 (getvar "orthomode")))
    ___

    "Tom C." <> wrote in message
    news:40c483ab$1_2@newsprd01...
    > How can I add the Ortho toggle (on/off) command to a single toolbar

    button?
    > What is the command line?
    >
    > I already know that F8 works, as well as the button at the bottom of the
    > screen.
    > But a button in my floating toolbar would be better.
    >
    > Thanks-
    >
    >
     
    Paul Turvill, Jun 7, 2004
    #5
  6. Tom C.

    Marco Caprez Guest

    Tom C. wrote:
    > How can I add the Ortho toggle (on/off) command to a single toolbar button?
    > What is the command line?
    >
    > I already know that F8 works, as well as the button at the bottom of the
    > screen.
    > But a button in my floating toolbar would be better.
    >
    > Thanks-
    >
    >

    Tom,

    (setvar "ORTHOMODE" (abs (- (getvar "ORTHOMODE") 1)))

    cheers
    --
    Marco Caprez
    CAD-Spezialist
    Getronics (Schweiz) AG
     
    Marco Caprez, Jun 7, 2004
    #6
  7. Tom C.

    mark Guest

    or using diesel

    '_setvar;orthomode;$M=$(if,$(eq,$(getvar,orthomode),0),1,0)

    mark

    "Tom C." <> wrote in message
    news:40c483ab$1_2@newsprd01...
    > How can I add the Ortho toggle (on/off) command to a single toolbar

    button?
    > What is the command line?
    >
    > I already know that F8 works, as well as the button at the bottom of the
    > screen.
    > But a button in my floating toolbar would be better.
    >
    > Thanks-
    >
    >
     
    mark, Jun 7, 2004
    #7
  8. Tom C.

    Steve Doman Guest

    (vla-setvariable
    (vla-get-activedocument (vlax-get-acad-object))
    "orthomode"
    (- 1
    (vlax-variant-value
    (vla-getvariable
    (vla-get-activedocument (vlax-get-acad-object))
    "orthomode"
    )
    )
    )
    )
     
    Steve Doman, Jun 7, 2004
    #8
    1. Advertising

Want to reply to this thread or ask your own question?

It takes just 2 minutes to sign up (and it's free!). Just click the sign up button to choose a username and then you can ask your own questions on the forum.
Similar Threads
  1. Albert Giuliano
    Replies:
    1
    Views:
    131
    Devin
    Aug 5, 2003
  2. Elton Larry

    Ortho on before stretch

    Elton Larry, Jun 18, 2004, in forum: AutoCAD
    Replies:
    3
    Views:
    168
    ECCAD
    Jun 24, 2004
  3. Jamie Richardson

    ortho/polar tracking setting in lsp

    Jamie Richardson, Jan 5, 2005, in forum: AutoCAD
    Replies:
    2
    Views:
    163
    Larry Leuallen
    Jan 5, 2005
  4. Richard Alvarez

    ortho or polar tracking angle

    Richard Alvarez, Oct 31, 2003, in forum: AutoCAD
    Replies:
    3
    Views:
    348
    Michael Bulatovich
    Oct 31, 2003
  5. Jazzbo

    Ortho & Polar?

    Jazzbo, Apr 1, 2007, in forum: AutoCAD
    Replies:
    1
    Views:
    279
    Michael Bulatovich
    Apr 2, 2007
Loading...

Share This Page